GDB (xrefs)

Public Attributes | List of all members
btrace_data Struct Reference

`#include "btrace-common.h"`

## Public Attributes
enum btrace_format | format
union {
struct btrace_data_bts bts
struct btrace_data_pt pt
} | variant

## Detailed Description

Definition at line 165 of file btrace-common.h.

## Member Data Documentation

## ◆ bts

struct btrace_data_bts btrace_data::bts

Definition at line 172 of file btrace-common.h.

Referenced by btrace_add_pc(), btrace_compute_ftrace_1(), btrace_data_append(), btrace_data_empty(), btrace_data_fini(), btrace_maint_print_packets(), btrace_maint_update_packets(), btrace_stitch_trace(), maint_info_btrace_cmd(), and parse_xml_btrace_block().

## ◆ format

enum btrace_format btrace_data::format

Definition at line 167 of file btrace-common.h.

Referenced by btrace_add_pc(), btrace_compute_ftrace_1(), btrace_data_append(), btrace_data_empty(), btrace_data_fini(), btrace_data_init(), btrace_maint_clear(), btrace_maint_print_packets(), btrace_maint_update_packets(), btrace_stitch_trace(), parse_xml_btrace(), parse_xml_btrace_block(), and parse_xml_btrace_pt().

## ◆ pt

struct btrace_data_pt btrace_data::pt

Definition at line 175 of file btrace-common.h.

Referenced by btrace_compute_ftrace_1(), btrace_data_append(), btrace_data_empty(), btrace_data_fini(), parse_xml_btrace_pt(), parse_xml_btrace_pt_config_cpu(), and parse_xml_btrace_pt_raw().

## ◆ variant

union { ... } btrace_data::variant

Referenced by btrace_add_pc(), btrace_compute_ftrace_1(), btrace_data_append(), btrace_data_empty(), btrace_data_fini(), btrace_maint_print_packets(), btrace_maint_update_packets(), btrace_stitch_trace(), maint_info_btrace_cmd(), parse_xml_btrace_block(), parse_xml_btrace_pt(), parse_xml_btrace_pt_config_cpu(), and parse_xml_btrace_pt_raw().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/btrace-common.h